Get attribute import status
curl --request GET \
--url https://commerceos.aiagents.fabric.inc/api/v2/attributes/import/{import_id} \
--header 'Authorization: Bearer <token>' \
--header 'domain: <domain>'import requests
url = "https://commerceos.aiagents.fabric.inc/api/v2/attributes/import/{import_id}"
headers = {
"domain": "<domain>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {domain: '<domain>', Authorization: 'Bearer <token>'}};
fetch('https://commerceos.aiagents.fabric.inc/api/v2/attributes/import/{import_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"import_id": "e2716438-b763-4be8-82d2-36abe0cb92b1",
"name": "attribute_test.csv",
"status": "COMPLETED",
"total_rows": 36,
"processed_rows": 36,
"created_count": 35,
"updated_count": 0,
"skipped_count": 0,
"failed_count": 1,
"input_filename": "attribute_test.csv",
"input_file_url": "https://example.com/input.csv",
"error_file_url": "https://example.com/errors.csv",
"error_message": null,
"errors": [
"Row 35: invalid data_type 'BOOLREAN'"
],
"started_at": "2026-03-12T18:04:03.998437Z",
"completed_at": "2026-03-12T18:04:04.724584Z",
"created_at": "2026-03-12T18:04:03.879876Z"
}{
"errors": "<array>",
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"errors": "<array>",
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"errors": "<array>",
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"errors": "<array>",
"message": "Bad request",
"type": "CLIENT_ERROR"
}Attributes
Get attribute import status
Retrieve the current status and results of an attribute import created using POST /v2/attributes/import.
GET
/
v2
/
attributes
/
import
/
{import_id}
Get attribute import status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The brand domain name (for example, vessel.com or containerstore.com) used to scope the request to a specific brand's data and configuration. The authenticated principal must be authorized for the specified brand.
Example:
"vessel.com"
Path Parameters
Import ID returned from POST /v2/attributes/import.
Example:
"e2716438-b763-4be8-82d2-36abe0cb92b1"
Response
Import status
Example:
"COMPLETED"
Example:
36
Example:
36
Example:
"attribute_test.csv"
Example:
35
Example:
0
Example:
0
Example:
1
Example:
"attribute_test.csv"
Example:
"https://example.com/input.csv"
Example:
"https://example.com/errors.csv"
Example:
null
Example:
["Row 35: invalid data_type 'BOOLREAN'"]
Was this page helpful?
